> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getruba.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read Benefit Grant

> ### Intent

Reads the benefit grant without changing it.

### When to call it

Call this after your application has received or stored the identifier for the benefit grant.

### Access boundary

Authorize the request with a token that carries `customer_portal:read` or `customer_portal:write`.

### Successful result

A successful request returns `200`. The response schema below defines the body your integration receives.

export const RubaSocials = () => {
  if (typeof document === "undefined") {
    return null;
  }
  const inject = () => {
    const footer = document.getElementById("footer");
    if (!footer || document.getElementById("ruba-socials")) {
      return false;
    }
    const isDark = document.querySelector("html.dark") || document.querySelector('html[class*="dark"]');
    const lineColor = isDark ? "#383838" : "#e8e8ed";
    const iconColor = isDark ? "#8e8e93" : "#86868b";
    const markColor = isDark ? "#ffffff" : "#08080c";
    const hoverColor = "#0071e3";
    const div = document.createElement("div");
    div.id = "ruba-socials";
    div.style.cssText = `display:flex;align-items:center;gap:20px;padding-top:20px;margin-top:20px;border-top:1px solid ${lineColor};width:100%`;
    const logo = `<a href="https://getruba.com" style="display:inline-flex;height:24px;align-items:center;gap:8px;text-decoration:none;color:${markColor};line-height:1;"><svg width="24" height="24" viewBox="0 0 120 120" aria-hidden="true" style="display:block;flex:none;"><g transform="translate(2.5 0)"><path d="M19 25h59L65.43 47H19a4 4 0 0 1-4-4V29a4 4 0 0 1 4-4Z" fill="${markColor}"/><path d="M19 73h31.57L38 95H19a4 4 0 0 1-4-4V77a4 4 0 0 1 4-4Z" fill="${markColor}"/><path d="M85 25h25L70 95H45Z" fill="#007AFF"/></g></svg><span style="display:inline-flex;height:24px;align-items:center;font-weight:600;font-size:15px;color:${markColor};letter-spacing:-0.01em;line-height:1;">Ruba</span></a>`;
    const spacer = `<div style="flex:1"></div>`;
    const ig = `<a href="https://instagram.com/getruba" target="_blank" rel="noopener" aria-label="Instagram" style="display:flex;align-items:center;color:${iconColor};transition:color 0.15s ease;" onmouseover="this.style.color='${hoverColor}'" onmouseout="this.style.color='${iconColor}'"><svg width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="1.8" stroke-linecap="round" stroke-linejoin="round"><rect x="2" y="2" width="20" height="20" rx="5" ry="5"/><path d="M16 11.37A4 4 0 1 1 12.63 8 4 4 0 0 1 16 11.37z"/><line x1="17.5" y1="6.5" x2="17.51" y2="6.5"/></svg></a>`;
    const li = `<a href="https://linkedin.com/company/getruba" target="_blank" rel="noopener" aria-label="LinkedIn" style="display:flex;align-items:center;color:${iconColor};transition:color 0.15s ease;" onmouseover="this.style.color='${hoverColor}'" onmouseout="this.style.color='${iconColor}'"><svg width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="1.8" stroke-linecap="round" stroke-linejoin="round"><path d="M16 8a6 6 0 0 1 6 6v7h-4v-7a2 2 0 0 0-2-2 2 2 0 0 0-2 2v7h-4v-7a6 6 0 0 1 6-6z"/><rect x="2" y="9" width="4" height="12"/><circle cx="4" cy="4" r="2"/></svg></a>`;
    const x = `<a href="https://x.com/getruba" target="_blank" rel="noopener" aria-label="X" style="display:flex;align-items:center;color:${iconColor};transition:color 0.15s ease;" onmouseover="this.style.color='${hoverColor}'" onmouseout="this.style.color='${iconColor}'"><svg width="18" height="18" viewBox="0 0 24 24" fill="currentColor"><path d="M18.244 2.25h3.308l-7.227 8.26 8.502 11.24H16.17l-5.214-6.817L4.99 21.75H1.68l7.73-8.835L1.254 2.25H8.08l4.713 6.231zm-1.161 17.52h1.833L7.084 4.126H5.117z"/></svg></a>`;
    const github = `<a href="https://github.com/rubadot" target="_blank" rel="noopener" aria-label="GitHub" style="display:flex;align-items:center;color:${iconColor};transition:color 0.15s ease;" onmouseover="this.style.color='${hoverColor}'" onmouseout="this.style.color='${iconColor}'"><svg width="20" height="20" viewBox="0 0 24 24" fill="currentColor"><path d="M12 .7a11.5 11.5 0 0 0-3.64 22.4c.58.1.79-.25.79-.56v-2.24c-3.22.7-3.9-1.37-3.9-1.37-.53-1.34-1.29-1.7-1.29-1.7-1.05-.72.08-.71.08-.71 1.16.08 1.78 1.2 1.78 1.2 1.04 1.77 2.72 1.26 3.38.96.1-.75.4-1.26.74-1.55-2.57-.3-5.27-1.29-5.27-5.69 0-1.26.45-2.29 1.19-3.09-.12-.29-.52-1.47.11-3.05 0 0 .97-.31 3.16 1.18A10.96 10.96 0 0 1 12 6.09c.98 0 1.94.13 2.86.39 2.2-1.49 3.16-1.18 3.16-1.18.63 1.58.23 2.76.11 3.05.74.8 1.19 1.83 1.19 3.09 0 4.42-2.7 5.39-5.28 5.68.42.36.79 1.06.79 2.14v3.28c0 .31.21.67.8.56A11.5 11.5 0 0 0 12 .7Z"/></svg></a>`;
    div.innerHTML = logo + spacer + ig + li + x + github;
    footer.appendChild(div);
    return true;
  };
  if (!document.documentElement.dataset.rubaSocialsObserver) {
    document.documentElement.dataset.rubaSocialsObserver = "true";
    const observer = new MutationObserver(() => {
      if (!document.getElementById("ruba-socials")) {
        inject();
      }
    });
    observer.observe(document.body, {
      childList: true,
      subtree: true
    });
  }
  setTimeout(() => {
    if (!inject()) {
      const interval = setInterval(() => {
        if (inject()) {
          clearInterval(interval);
        }
      }, 500);
      setTimeout(() => clearInterval(interval), 10000);
    }
  }, 300);
  return null;
};

<link rel="stylesheet" href="/style.css" />

<RubaSocials />


## OpenAPI

````yaml get /v1/customer-portal/benefit-grants/{id}
openapi: 3.1.0
info:
  title: Ruba API
  summary: Ruba HTTP and Webhooks API
  description: '**Details:** Read the docs at https://docs.getruba.com/api-reference.'
  version: 2026-04
servers:
  - url: https://api.getruba.com
    description: '**Details:** Production environment.'
    x-speakeasy-server-id: production
  - url: https://sandbox-api.getruba.com
    description: '**Details:** Sandbox environment.'
    x-speakeasy-server-id: sandbox
security: []
tags:
  - name: public
    description: >-
      **Details:** Endpoints shown and documented in the Ruba API documentation
      and available in our SDKs.
paths:
  /v1/customer-portal/benefit-grants/{id}:
    get:
      tags:
        - customer_portal
        - benefit-grants
        - public
      summary: Read Benefit Grant
      description: >-
        ### Intent


        Reads the benefit grant without changing it.


        ### When to call it


        Call this after your application has received or stored the identifier
        for the benefit grant.


        ### Access boundary


        Authorize the request with a token that carries `customer_portal:read`
        or `customer_portal:write`.


        ### Successful result


        A successful request returns `200`. The response schema below defines
        the body your integration receives.
      operationId: customer_portal:benefit-grants:get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            description: Identifier of the benefit grant.
            title: Id
          description: Identifier of the benefit grant.
      responses:
        '200':
          description: Request completed successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerBenefitGrant'
                title: CustomerBenefitGrant
        '404':
          description: '**Response:** Benefit grant could not be found.'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResourceNotFound'
        '422':
          description: Request validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - customer_session:
            - customer_portal:read
            - customer_portal:write
        - member_session:
            - customer_portal:read
            - customer_portal:write
components:
  schemas:
    CustomerBenefitGrant:
      anyOf:
        - $ref: '#/components/schemas/CustomerBenefitGrantDiscord'
        - $ref: '#/components/schemas/CustomerBenefitGrantGitHubRepository'
        - $ref: '#/components/schemas/CustomerBenefitGrantDownloadables'
        - $ref: '#/components/schemas/CustomerBenefitGrantLicenseKeys'
        - $ref: '#/components/schemas/CustomerBenefitGrantCustom'
        - $ref: '#/components/schemas/CustomerBenefitGrantMeterCredit'
        - $ref: '#/components/schemas/CustomerBenefitGrantFeatureFlag'
        - $ref: '#/components/schemas/CustomerBenefitGrantSlackSharedChannel'
    ResourceNotFound:
      properties:
        error:
          type: string
          const: ResourceNotFound
          title: Error
          examples:
            - ResourceNotFound
        detail:
          type: string
          title: Detail
      type: object
      required:
        - error
        - detail
      title: ResourceNotFound
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CustomerBenefitGrantDiscord:
      properties:
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The time Ruba created this record.
        modified_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Modified At
          description: The time this record last changed.
        id:
          type: string
          format: uuid4
          title: Id
          description: The stable identifier for this record.
        granted_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Granted At
        revoked_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Revoked At
        customer_id:
          type: string
          format: uuid4
          title: Customer Id
        member_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Member Id
        benefit_id:
          type: string
          format: uuid4
          title: Benefit Id
        subscription_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Subscription Id
        order_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Order Id
        is_granted:
          type: boolean
          title: Is Granted
        is_revoked:
          type: boolean
          title: Is Revoked
        error:
          anyOf:
            - $ref: '#/components/schemas/BenefitGrantError'
            - type: 'null'
        customer:
          $ref: '#/components/schemas/CustomerPortalCustomer'
        benefit:
          $ref: '#/components/schemas/BenefitDiscordSubscriber'
        properties:
          $ref: '#/components/schemas/BenefitGrantDiscordProperties'
      type: object
      required:
        - created_at
        - modified_at
        - id
        - granted_at
        - revoked_at
        - customer_id
        - benefit_id
        - subscription_id
        - order_id
        - is_granted
        - is_revoked
        - customer
        - benefit
        - properties
      title: CustomerBenefitGrantDiscord
    CustomerBenefitGrantGitHubRepository:
      properties:
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The time Ruba created this record.
        modified_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Modified At
          description: The time this record last changed.
        id:
          type: string
          format: uuid4
          title: Id
          description: The stable identifier for this record.
        granted_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Granted At
        revoked_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Revoked At
        customer_id:
          type: string
          format: uuid4
          title: Customer Id
        member_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Member Id
        benefit_id:
          type: string
          format: uuid4
          title: Benefit Id
        subscription_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Subscription Id
        order_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Order Id
        is_granted:
          type: boolean
          title: Is Granted
        is_revoked:
          type: boolean
          title: Is Revoked
        error:
          anyOf:
            - $ref: '#/components/schemas/BenefitGrantError'
            - type: 'null'
        customer:
          $ref: '#/components/schemas/CustomerPortalCustomer'
        benefit:
          $ref: '#/components/schemas/BenefitGitHubRepositorySubscriber'
        properties:
          $ref: '#/components/schemas/BenefitGrantGitHubRepositoryProperties'
      type: object
      required:
        - created_at
        - modified_at
        - id
        - granted_at
        - revoked_at
        - customer_id
        - benefit_id
        - subscription_id
        - order_id
        - is_granted
        - is_revoked
        - customer
        - benefit
        - properties
      title: CustomerBenefitGrantGitHubRepository
    CustomerBenefitGrantDownloadables:
      properties:
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The time Ruba created this record.
        modified_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Modified At
          description: The time this record last changed.
        id:
          type: string
          format: uuid4
          title: Id
          description: The stable identifier for this record.
        granted_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Granted At
        revoked_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Revoked At
        customer_id:
          type: string
          format: uuid4
          title: Customer Id
        member_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Member Id
        benefit_id:
          type: string
          format: uuid4
          title: Benefit Id
        subscription_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Subscription Id
        order_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Order Id
        is_granted:
          type: boolean
          title: Is Granted
        is_revoked:
          type: boolean
          title: Is Revoked
        error:
          anyOf:
            - $ref: '#/components/schemas/BenefitGrantError'
            - type: 'null'
        customer:
          $ref: '#/components/schemas/CustomerPortalCustomer'
        benefit:
          $ref: '#/components/schemas/BenefitDownloadablesSubscriber'
        properties:
          $ref: '#/components/schemas/BenefitGrantDownloadablesProperties'
      type: object
      required:
        - created_at
        - modified_at
        - id
        - granted_at
        - revoked_at
        - customer_id
        - benefit_id
        - subscription_id
        - order_id
        - is_granted
        - is_revoked
        - customer
        - benefit
        - properties
      title: CustomerBenefitGrantDownloadables
    CustomerBenefitGrantLicenseKeys:
      properties:
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The time Ruba created this record.
        modified_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Modified At
          description: The time this record last changed.
        id:
          type: string
          format: uuid4
          title: Id
          description: The stable identifier for this record.
        granted_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Granted At
        revoked_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Revoked At
        customer_id:
          type: string
          format: uuid4
          title: Customer Id
        member_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Member Id
        benefit_id:
          type: string
          format: uuid4
          title: Benefit Id
        subscription_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Subscription Id
        order_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Order Id
        is_granted:
          type: boolean
          title: Is Granted
        is_revoked:
          type: boolean
          title: Is Revoked
        error:
          anyOf:
            - $ref: '#/components/schemas/BenefitGrantError'
            - type: 'null'
        customer:
          $ref: '#/components/schemas/CustomerPortalCustomer'
        benefit:
          $ref: '#/components/schemas/BenefitLicenseKeysSubscriber'
        properties:
          $ref: '#/components/schemas/BenefitGrantLicenseKeysProperties'
      type: object
      required:
        - created_at
        - modified_at
        - id
        - granted_at
        - revoked_at
        - customer_id
        - benefit_id
        - subscription_id
        - order_id
        - is_granted
        - is_revoked
        - customer
        - benefit
        - properties
      title: CustomerBenefitGrantLicenseKeys
    CustomerBenefitGrantCustom:
      properties:
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The time Ruba created this record.
        modified_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Modified At
          description: The time this record last changed.
        id:
          type: string
          format: uuid4
          title: Id
          description: The stable identifier for this record.
        granted_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Granted At
        revoked_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Revoked At
        customer_id:
          type: string
          format: uuid4
          title: Customer Id
        member_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Member Id
        benefit_id:
          type: string
          format: uuid4
          title: Benefit Id
        subscription_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Subscription Id
        order_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Order Id
        is_granted:
          type: boolean
          title: Is Granted
        is_revoked:
          type: boolean
          title: Is Revoked
        error:
          anyOf:
            - $ref: '#/components/schemas/BenefitGrantError'
            - type: 'null'
        customer:
          $ref: '#/components/schemas/CustomerPortalCustomer'
        benefit:
          $ref: '#/components/schemas/BenefitCustomSubscriber'
        properties:
          $ref: '#/components/schemas/BenefitGrantCustomProperties'
      type: object
      required:
        - created_at
        - modified_at
        - id
        - granted_at
        - revoked_at
        - customer_id
        - benefit_id
        - subscription_id
        - order_id
        - is_granted
        - is_revoked
        - customer
        - benefit
        - properties
      title: CustomerBenefitGrantCustom
    CustomerBenefitGrantMeterCredit:
      properties:
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The time Ruba created this record.
        modified_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Modified At
          description: The time this record last changed.
        id:
          type: string
          format: uuid4
          title: Id
          description: The stable identifier for this record.
        granted_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Granted At
        revoked_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Revoked At
        customer_id:
          type: string
          format: uuid4
          title: Customer Id
        member_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Member Id
        benefit_id:
          type: string
          format: uuid4
          title: Benefit Id
        subscription_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Subscription Id
        order_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Order Id
        is_granted:
          type: boolean
          title: Is Granted
        is_revoked:
          type: boolean
          title: Is Revoked
        error:
          anyOf:
            - $ref: '#/components/schemas/BenefitGrantError'
            - type: 'null'
        customer:
          $ref: '#/components/schemas/CustomerPortalCustomer'
        benefit:
          $ref: '#/components/schemas/BenefitMeterCreditSubscriber'
        properties:
          $ref: '#/components/schemas/BenefitGrantMeterCreditProperties'
      type: object
      required:
        - created_at
        - modified_at
        - id
        - granted_at
        - revoked_at
        - customer_id
        - benefit_id
        - subscription_id
        - order_id
        - is_granted
        - is_revoked
        - customer
        - benefit
        - properties
      title: CustomerBenefitGrantMeterCredit
    CustomerBenefitGrantFeatureFlag:
      properties:
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The time Ruba created this record.
        modified_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Modified At
          description: The time this record last changed.
        id:
          type: string
          format: uuid4
          title: Id
          description: The stable identifier for this record.
        granted_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Granted At
        revoked_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Revoked At
        customer_id:
          type: string
          format: uuid4
          title: Customer Id
        member_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Member Id
        benefit_id:
          type: string
          format: uuid4
          title: Benefit Id
        subscription_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Subscription Id
        order_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Order Id
        is_granted:
          type: boolean
          title: Is Granted
        is_revoked:
          type: boolean
          title: Is Revoked
        error:
          anyOf:
            - $ref: '#/components/schemas/BenefitGrantError'
            - type: 'null'
        customer:
          $ref: '#/components/schemas/CustomerPortalCustomer'
        benefit:
          $ref: '#/components/schemas/BenefitFeatureFlagSubscriber'
        properties:
          $ref: '#/components/schemas/BenefitGrantFeatureFlagProperties'
      type: object
      required:
        - created_at
        - modified_at
        - id
        - granted_at
        - revoked_at
        - customer_id
        - benefit_id
        - subscription_id
        - order_id
        - is_granted
        - is_revoked
        - customer
        - benefit
        - properties
      title: CustomerBenefitGrantFeatureFlag
    CustomerBenefitGrantSlackSharedChannel:
      properties:
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The time Ruba created this record.
        modified_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Modified At
          description: The time this record last changed.
        id:
          type: string
          format: uuid4
          title: Id
          description: The stable identifier for this record.
        granted_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Granted At
        revoked_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Revoked At
        customer_id:
          type: string
          format: uuid4
          title: Customer Id
        member_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Member Id
        benefit_id:
          type: string
          format: uuid4
          title: Benefit Id
        subscription_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Subscription Id
        order_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Order Id
        is_granted:
          type: boolean
          title: Is Granted
        is_revoked:
          type: boolean
          title: Is Revoked
        error:
          anyOf:
            - $ref: '#/components/schemas/BenefitGrantError'
            - type: 'null'
        customer:
          $ref: '#/components/schemas/CustomerPortalCustomer'
        benefit:
          $ref: '#/components/schemas/BenefitSlackSharedChannelSubscriber'
        properties:
          $ref: '#/components/schemas/BenefitGrantSlackSharedChannelProperties'
      type: object
      required:
        - created_at
        - modified_at
        - id
        - granted_at
        - revoked_at
        - customer_id
        - benefit_id
        - subscription_id
        - order_id
        - is_granted
        - is_revoked
        - customer
        - benefit
        - properties
      title: CustomerBenefitGrantSlackSharedChannel
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    BenefitGrantError:
      properties:
        message:
          type: string
          title: Message
        type:
          type: string
          title: Type
        timestamp:
          type: string
          title: Timestamp
      type: object
      required:
        - message
        - type
        - timestamp
      title: BenefitGrantError
    CustomerPortalCustomer:
      properties:
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The time Ruba created this record.
        modified_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Modified At
          description: The time this record last changed.
        id:
          type: string
          format: uuid4
          title: Id
          description: The stable identifier for this record.
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        email_verified:
          type: boolean
          title: Email Verified
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        billing_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Billing Name
        billing_address:
          anyOf:
            - $ref: '#/components/schemas/Address'
            - type: 'null'
        tax_id:
          anyOf:
            - prefixItems:
                - type: string
                - $ref: '#/components/schemas/TaxIDFormat'
              type: array
              maxItems: 2
              minItems: 2
              examples:
                - - '911144442'
                  - us_ein
                - - FR61954506077
                  - eu_vat
            - type: 'null'
          title: Tax Id
        oauth_accounts:
          additionalProperties:
            $ref: '#/components/schemas/CustomerPortalOAuthAccount'
          type: object
          title: Oauth Accounts
        default_payment_method_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Default Payment Method Id
        type:
          anyOf:
            - $ref: '#/components/schemas/CustomerType'
            - type: 'null'
        locale:
          anyOf:
            - type: string
            - type: 'null'
          title: Locale
      type: object
      required:
        - created_at
        - modified_at
        - id
        - email
        - email_verified
        - name
        - billing_name
        - billing_address
        - tax_id
        - oauth_accounts
      title: CustomerPortalCustomer
    BenefitDiscordSubscriber:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
          description: Unique identifier for the benefit.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The time Ruba created this record.
        modified_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Modified At
          description: The time this record last changed.
        type:
          type: string
          const: discord
          title: Type
        description:
          type: string
          title: Description
          description: Description attached to the benefit.
        selectable:
          type: boolean
          title: Selectable
          description: Indicates whether the benefit is selectable when creating a product.
        deletable:
          type: boolean
          title: Deletable
          description: Indicates whether the benefit is deletable.
        is_deleted:
          type: boolean
          title: Is Deleted
          description: Indicates whether the benefit is deleted.
        organization_id:
          type: string
          format: uuid4
          title: Organization Id
          description: Unique identifier for the organization owning the benefit.
        organization:
          $ref: '#/components/schemas/BenefitSubscriberOrganization'
        properties:
          $ref: '#/components/schemas/BenefitDiscordSubscriberProperties'
      type: object
      required:
        - id
        - created_at
        - modified_at
        - type
        - description
        - selectable
        - deletable
        - is_deleted
        - organization_id
        - organization
        - properties
      title: BenefitDiscordSubscriber
    BenefitGrantDiscordProperties:
      properties:
        account_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Account Id
        guild_id:
          type: string
          title: Guild Id
        role_id:
          type: string
          title: Role Id
        granted_account_id:
          type: string
          title: Granted Account Id
      type: object
      title: BenefitGrantDiscordProperties
    BenefitGitHubRepositorySubscriber:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
          description: Unique identifier for the benefit.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The time Ruba created this record.
        modified_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Modified At
          description: The time this record last changed.
        type:
          type: string
          const: github_repository
          title: Type
        description:
          type: string
          title: Description
          description: Description attached to the benefit.
        selectable:
          type: boolean
          title: Selectable
          description: Indicates whether the benefit is selectable when creating a product.
        deletable:
          type: boolean
          title: Deletable
          description: Indicates whether the benefit is deletable.
        is_deleted:
          type: boolean
          title: Is Deleted
          description: Indicates whether the benefit is deleted.
        organization_id:
          type: string
          format: uuid4
          title: Organization Id
          description: Unique identifier for the organization owning the benefit.
        organization:
          $ref: '#/components/schemas/BenefitSubscriberOrganization'
        properties:
          $ref: '#/components/schemas/BenefitGitHubRepositorySubscriberProperties'
      type: object
      required:
        - id
        - created_at
        - modified_at
        - type
        - description
        - selectable
        - deletable
        - is_deleted
        - organization_id
        - organization
        - properties
      title: BenefitGitHubRepositorySubscriber
    BenefitGrantGitHubRepositoryProperties:
      properties:
        account_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Account Id
        repository_owner:
          type: string
          title: Repository Owner
        repository_name:
          type: string
          title: Repository Name
        permission:
          type: string
          enum:
            - pull
            - triage
            - push
            - maintain
            - admin
          title: Permission
        granted_account_id:
          type: string
          title: Granted Account Id
      type: object
      title: BenefitGrantGitHubRepositoryProperties
    BenefitDownloadablesSubscriber:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
          description: Unique identifier for the benefit.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The time Ruba created this record.
        modified_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Modified At
          description: The time this record last changed.
        type:
          type: string
          const: downloadables
          title: Type
        description:
          type: string
          title: Description
          description: Description attached to the benefit.
        selectable:
          type: boolean
          title: Selectable
          description: Indicates whether the benefit is selectable when creating a product.
        deletable:
          type: boolean
          title: Deletable
          description: Indicates whether the benefit is deletable.
        is_deleted:
          type: boolean
          title: Is Deleted
          description: Indicates whether the benefit is deleted.
        organization_id:
          type: string
          format: uuid4
          title: Organization Id
          description: Unique identifier for the organization owning the benefit.
        organization:
          $ref: '#/components/schemas/BenefitSubscriberOrganization'
        properties:
          $ref: '#/components/schemas/BenefitDownloadablesSubscriberProperties'
      type: object
      required:
        - id
        - created_at
        - modified_at
        - type
        - description
        - selectable
        - deletable
        - is_deleted
        - organization_id
        - organization
        - properties
      title: BenefitDownloadablesSubscriber
    BenefitGrantDownloadablesProperties:
      properties:
        files:
          items:
            type: string
          type: array
          title: Files
      type: object
      title: BenefitGrantDownloadablesProperties
    BenefitLicenseKeysSubscriber:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
          description: Unique identifier for the benefit.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The time Ruba created this record.
        modified_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Modified At
          description: The time this record last changed.
        type:
          type: string
          const: license_keys
          title: Type
        description:
          type: string
          title: Description
          description: Description attached to the benefit.
        selectable:
          type: boolean
          title: Selectable
          description: Indicates whether the benefit is selectable when creating a product.
        deletable:
          type: boolean
          title: Deletable
          description: Indicates whether the benefit is deletable.
        is_deleted:
          type: boolean
          title: Is Deleted
          description: Indicates whether the benefit is deleted.
        organization_id:
          type: string
          format: uuid4
          title: Organization Id
          description: Unique identifier for the organization owning the benefit.
        organization:
          $ref: '#/components/schemas/BenefitSubscriberOrganization'
        properties:
          $ref: '#/components/schemas/BenefitLicenseKeysSubscriberProperties'
      type: object
      required:
        - id
        - created_at
        - modified_at
        - type
        - description
        - selectable
        - deletable
        - is_deleted
        - organization_id
        - organization
        - properties
      title: BenefitLicenseKeysSubscriber
    BenefitGrantLicenseKeysProperties:
      properties:
        user_provided_key:
          type: string
          title: User Provided Key
        license_key_id:
          type: string
          title: License Key Id
        display_key:
          type: string
          title: Display Key
      type: object
      title: BenefitGrantLicenseKeysProperties
    BenefitCustomSubscriber:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
          description: Unique identifier for the benefit.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The time Ruba created this record.
        modified_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Modified At
          description: The time this record last changed.
        type:
          type: string
          const: custom
          title: Type
        description:
          type: string
          title: Description
          description: Description attached to the benefit.
        selectable:
          type: boolean
          title: Selectable
          description: Indicates whether the benefit is selectable when creating a product.
        deletable:
          type: boolean
          title: Deletable
          description: Indicates whether the benefit is deletable.
        is_deleted:
          type: boolean
          title: Is Deleted
          description: Indicates whether the benefit is deleted.
        organization_id:
          type: string
          format: uuid4
          title: Organization Id
          description: Unique identifier for the organization owning the benefit.
        organization:
          $ref: '#/components/schemas/BenefitSubscriberOrganization'
        properties:
          $ref: '#/components/schemas/BenefitCustomSubscriberProperties'
      type: object
      required:
        - id
        - created_at
        - modified_at
        - type
        - description
        - selectable
        - deletable
        - is_deleted
        - organization_id
        - organization
        - properties
      title: BenefitCustomSubscriber
    BenefitGrantCustomProperties:
      properties: {}
      type: object
      title: BenefitGrantCustomProperties
    BenefitMeterCreditSubscriber:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
          description: Unique identifier for the benefit.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The time Ruba created this record.
        modified_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Modified At
          description: The time this record last changed.
        type:
          type: string
          const: meter_credit
          title: Type
        description:
          type: string
          title: Description
          description: Description attached to the benefit.
        selectable:
          type: boolean
          title: Selectable
          description: Indicates whether the benefit is selectable when creating a product.
        deletable:
          type: boolean
          title: Deletable
          description: Indicates whether the benefit is deletable.
        is_deleted:
          type: boolean
          title: Is Deleted
          description: Indicates whether the benefit is deleted.
        organization_id:
          type: string
          format: uuid4
          title: Organization Id
          description: Unique identifier for the organization owning the benefit.
        organization:
          $ref: '#/components/schemas/BenefitSubscriberOrganization'
        properties:
          $ref: '#/components/schemas/BenefitMeterCreditSubscriberProperties'
      type: object
      required:
        - id
        - created_at
        - modified_at
        - type
        - description
        - selectable
        - deletable
        - is_deleted
        - organization_id
        - organization
        - properties
      title: BenefitMeterCreditSubscriber
    BenefitGrantMeterCreditProperties:
      properties:
        last_credited_meter_id:
          type: string
          title: Last Credited Meter Id
        last_credited_units:
          type: integer
          title: Last Credited Units
        last_credited_at:
          type: string
          title: Last Credited At
      type: object
      title: BenefitGrantMeterCreditProperties
    BenefitFeatureFlagSubscriber:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
          description: Unique identifier for the benefit.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The time Ruba created this record.
        modified_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Modified At
          description: The time this record last changed.
        type:
          type: string
          const: feature_flag
          title: Type
        description:
          type: string
          title: Description
          description: Description attached to the benefit.
        selectable:
          type: boolean
          title: Selectable
          description: Indicates whether the benefit is selectable when creating a product.
        deletable:
          type: boolean
          title: Deletable
          description: Indicates whether the benefit is deletable.
        is_deleted:
          type: boolean
          title: Is Deleted
          description: Indicates whether the benefit is deleted.
        organization_id:
          type: string
          format: uuid4
          title: Organization Id
          description: Unique identifier for the organization owning the benefit.
        organization:
          $ref: '#/components/schemas/BenefitSubscriberOrganization'
        properties:
          $ref: '#/components/schemas/BenefitFeatureFlagSubscriberProperties'
      type: object
      required:
        - id
        - created_at
        - modified_at
        - type
        - description
        - selectable
        - deletable
        - is_deleted
        - organization_id
        - organization
        - properties
      title: BenefitFeatureFlagSubscriber
    BenefitGrantFeatureFlagProperties:
      properties: {}
      type: object
      title: BenefitGrantFeatureFlagProperties
    BenefitSlackSharedChannelSubscriber:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
          description: Unique identifier for the benefit.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The time Ruba created this record.
        modified_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Modified At
          description: The time this record last changed.
        type:
          type: string
          const: slack_shared_channel
          title: Type
        description:
          type: string
          title: Description
          description: Description attached to the benefit.
        selectable:
          type: boolean
          title: Selectable
          description: Indicates whether the benefit is selectable when creating a product.
        deletable:
          type: boolean
          title: Deletable
          description: Indicates whether the benefit is deletable.
        is_deleted:
          type: boolean
          title: Is Deleted
          description: Indicates whether the benefit is deleted.
        organization_id:
          type: string
          format: uuid4
          title: Organization Id
          description: Unique identifier for the organization owning the benefit.
        organization:
          $ref: '#/components/schemas/BenefitSubscriberOrganization'
        properties:
          $ref: '#/components/schemas/BenefitSlackSharedChannelSubscriberProperties'
      type: object
      required:
        - id
        - created_at
        - modified_at
        - type
        - description
        - selectable
        - deletable
        - is_deleted
        - organization_id
        - organization
        - properties
      title: BenefitSlackSharedChannelSubscriber
    BenefitGrantSlackSharedChannelProperties:
      properties:
        invited_email:
          type: string
          title: Invited Email
        channel_id:
          type: string
          title: Channel Id
        channel_name:
          type: string
          title: Channel Name
        invite_id:
          type: string
          title: Invite Id
        invite_url:
          type: string
          title: Invite Url
        connected_team_id:
          type: string
          title: Connected Team Id
      type: object
      title: BenefitGrantSlackSharedChannelProperties
    Address:
      properties:
        line1:
          anyOf:
            - type: string
            - type: 'null'
          title: Line1
        line2:
          anyOf:
            - type: string
            - type: 'null'
          title: Line2
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Postal Code
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        state:
          anyOf:
            - type: string
            - type: 'null'
          title: State
        country:
          type: string
          enum:
            - AD
            - AE
            - AF
            - AG
            - AI
            - AL
            - AM
            - AO
            - AQ
            - AR
            - AS
            - AT
            - AU
            - AW
            - AX
            - AZ
            - BA
            - BB
            - BD
            - BE
            - BF
            - BG
            - BH
            - BI
            - BJ
            - BL
            - BM
            - BN
            - BO
            - BQ
            - BR
            - BS
            - BT
            - BV
            - BW
            - BY
            - BZ
            - CA
            - CC
            - CD
            - CF
            - CG
            - CH
            - CI
            - CK
            - CL
            - CM
            - CN
            - CO
            - CR
            - CU
            - CV
            - CW
            - CX
            - CY
            - CZ
            - DE
            - DJ
            - DK
            - DM
            - DO
            - DZ
            - EC
            - EE
            - EG
            - EH
            - ER
            - ES
            - ET
            - FI
            - FJ
            - FK
            - FM
            - FO
            - FR
            - GA
            - GB
            - GD
            - GE
            - GF
            - GG
            - GH
            - GI
            - GL
            - GM
            - GN
            - GP
            - GQ
            - GR
            - GS
            - GT
            - GU
            - GW
            - GY
            - HK
            - HM
            - HN
            - HR
            - HT
            - HU
            - ID
            - IE
            - IL
            - IM
            - IN
            - IO
            - IQ
            - IR
            - IS
            - IT
            - JE
            - JM
            - JO
            - JP
            - KE
            - KG
            - KH
            - KI
            - KM
            - KN
            - KP
            - KR
            - KW
            - KY
            - KZ
            - LA
            - LB
            - LC
            - LI
            - LK
            - LR
            - LS
            - LT
            - LU
            - LV
            - LY
            - MA
            - MC
            - MD
            - ME
            - MF
            - MG
            - MH
            - MK
            - ML
            - MM
            - MN
            - MO
            - MP
            - MQ
            - MR
            - MS
            - MT
            - MU
            - MV
            - MW
            - MX
            - MY
            - MZ
            - NA
            - NC
            - NE
            - NF
            - NG
            - NI
            - NL
            - 'NO'
            - NP
            - NR
            - NU
            - NZ
            - OM
            - PA
            - PE
            - PF
            - PG
            - PH
            - PK
            - PL
            - PM
            - PN
            - PR
            - PS
            - PT
            - PW
            - PY
            - QA
            - RE
            - RO
            - RS
            - RU
            - RW
            - SA
            - SB
            - SC
            - SD
            - SE
            - SG
            - SH
            - SI
            - SJ
            - SK
            - SL
            - SM
            - SN
            - SO
            - SR
            - SS
            - ST
            - SV
            - SX
            - SY
            - SZ
            - TC
            - TD
            - TF
            - TG
            - TH
            - TJ
            - TK
            - TL
            - TM
            - TN
            - TO
            - TR
            - TT
            - TV
            - TW
            - TZ
            - UA
            - UG
            - UM
            - US
            - UY
            - UZ
            - VA
            - VC
            - VE
            - VG
            - VI
            - VN
            - VU
            - WF
            - WS
            - YE
            - YT
            - ZA
            - ZM
            - ZW
          title: CountryAlpha2
          examples:
            - US
            - SE
            - FR
          x-speakeasy-enums:
            - AD
            - AE
            - AF
            - AG
            - AI
            - AL
            - AM
            - AO
            - AQ
            - AR
            - AS
            - AT
            - AU
            - AW
            - AX
            - AZ
            - BA
            - BB
            - BD
            - BE
            - BF
            - BG
            - BH
            - BI
            - BJ
            - BL
            - BM
            - BN
            - BO
            - BQ
            - BR
            - BS
            - BT
            - BV
            - BW
            - BY
            - BZ
            - CA
            - CC
            - CD
            - CF
            - CG
            - CH
            - CI
            - CK
            - CL
            - CM
            - CN
            - CO
            - CR
            - CU
            - CV
            - CW
            - CX
            - CY
            - CZ
            - DE
            - DJ
            - DK
            - DM
            - DO
            - DZ
            - EC
            - EE
            - EG
            - EH
            - ER
            - ES
            - ET
            - FI
            - FJ
            - FK
            - FM
            - FO
            - FR
            - GA
            - GB
            - GD
            - GE
            - GF
            - GG
            - GH
            - GI
            - GL
            - GM
            - GN
            - GP
            - GQ
            - GR
            - GS
            - GT
            - GU
            - GW
            - GY
            - HK
            - HM
            - HN
            - HR
            - HT
            - HU
            - ID
            - IE
            - IL
            - IM
            - IN
            - IO
            - IQ
            - IR
            - IS
            - IT
            - JE
            - JM
            - JO
            - JP
            - KE
            - KG
            - KH
            - KI
            - KM
            - KN
            - KP
            - KR
            - KW
            - KY
            - KZ
            - LA
            - LB
            - LC
            - LI
            - LK
            - LR
            - LS
            - LT
            - LU
            - LV
            - LY
            - MA
            - MC
            - MD
            - ME
            - MF
            - MG
            - MH
            - MK
            - ML
            - MM
            - MN
            - MO
            - MP
            - MQ
            - MR
            - MS
            - MT
            - MU
            - MV
            - MW
            - MX
            - MY
            - MZ
            - NA
            - NC
            - NE
            - NF
            - NG
            - NI
            - NL
            - 'NO'
            - NP
            - NR
            - NU
            - NZ
            - OM
            - PA
            - PE
            - PF
            - PG
            - PH
            - PK
            - PL
            - PM
            - PN
            - PR
            - PS
            - PT
            - PW
            - PY
            - QA
            - RE
            - RO
            - RS
            - RU
            - RW
            - SA
            - SB
            - SC
            - SD
            - SE
            - SG
            - SH
            - SI
            - SJ
            - SK
            - SL
            - SM
            - SN
            - SO
            - SR
            - SS
            - ST
            - SV
            - SX
            - SY
            - SZ
            - TC
            - TD
            - TF
            - TG
            - TH
            - TJ
            - TK
            - TL
            - TM
            - TN
            - TO
            - TR
            - TT
            - TV
            - TW
            - TZ
            - UA
            - UG
            - UM
            - US
            - UY
            - UZ
            - VA
            - VC
            - VE
            - VG
            - VI
            - VN
            - VU
            - WF
            - WS
            - YE
            - YT
            - ZA
            - ZM
            - ZW
      type: object
      required:
        - country
      title: Address
    CustomerPortalOAuthAccount:
      properties:
        account_id:
          type: string
          title: Account Id
        account_username:
          anyOf:
            - type: string
            - type: 'null'
          title: Account Username
      type: object
      required:
        - account_id
        - account_username
      title: CustomerPortalOAuthAccount
    CustomerType:
      type: string
      enum:
        - individual
        - team
      title: CustomerType
    BenefitSubscriberOrganization:
      properties:
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The time Ruba created this record.
        modified_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Modified At
          description: The time this record last changed.
        id:
          type: string
          format: uuid4
          title: Id
          description: The stable identifier for this record.
        name:
          type: string
          title: Name
          description: >-
            **Name:** Organization name shown in checkout, customer portal,
            emails etc.
        slug:
          type: string
          title: Slug
          description: >-
            **Slug:** Unique organization slug in checkout, customer portal and
            credit card statements.
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar Url
          description: >-
            **Avatar Url:** Avatar URL shown in checkout, customer portal,
            emails etc.
        proration_behavior:
          $ref: '#/components/schemas/SubscriptionProrationBehavior'
          description: >-
            **Proration Behavior:** Proration behavior applied when customer
            updates their subscription from the portal.
        allow_customer_updates:
          type: boolean
          title: Allow Customer Updates
          description: >-
            Indicates whether customers can update their subscriptions from the
            customer portal.
      type: object
      required:
        - created_at
        - modified_at
        - id
        - name
        - slug
        - avatar_url
        - proration_behavior
        - allow_customer_updates
      title: BenefitSubscriberOrganization
    BenefitDiscordSubscriberProperties:
      properties:
        guild_id:
          type: string
          title: Guild Id
          description: Unique identifier for the Discord server.
      type: object
      required:
        - guild_id
      title: BenefitDiscordSubscriberProperties
      description: Properties available to subscribers for a benefit of type `discord`.
    BenefitGitHubRepositorySubscriberProperties:
      properties:
        repository_owner:
          type: string
          title: Repository Owner
          description: '**Repository Owner:** Owner of the repository.'
          examples:
            - Rubadot
        repository_name:
          type: string
          title: Repository Name
          description: Name assigned to the repository.
          examples:
            - private_repo
      type: object
      required:
        - repository_owner
        - repository_name
      title: BenefitGitHubRepositorySubscriberProperties
      description: >-
        Properties available to subscribers for a benefit of type
        `github_repository`.
    BenefitDownloadablesSubscriberProperties:
      properties:
        active_files:
          items:
            type: string
            format: uuid4
          type: array
          title: Active Files
      type: object
      required:
        - active_files
      title: BenefitDownloadablesSubscriberProperties
    BenefitLicenseKeysSubscriberProperties:
      properties:
        prefix:
          anyOf:
            - type: string
            - type: 'null'
          title: Prefix
        expires:
          anyOf:
            - $ref: '#/components/schemas/BenefitLicenseKeyExpirationProperties'
            - type: 'null'
        activations:
          anyOf:
            - $ref: '#/components/schemas/BenefitLicenseKeyActivationProperties'
            - type: 'null'
        limit_usage:
          anyOf:
            - type: integer
            - type: 'null'
          title: Limit Usage
      type: object
      required:
        - prefix
        - expires
        - activations
        - limit_usage
      title: BenefitLicenseKeysSubscriberProperties
    BenefitCustomSubscriberProperties:
      properties:
        note:
          anyOf:
            - anyOf:
                - type: string
                - type: 'null'
              description: >-
                **Note:** Private note to be shared with customers who have this
                benefit granted.
            - type: 'null'
          title: Note
      type: object
      required:
        - note
      title: BenefitCustomSubscriberProperties
      description: Properties available to subscribers for a benefit of type `custom`.
    BenefitMeterCreditSubscriberProperties:
      properties:
        units:
          type: integer
          title: Units
        rollover:
          type: boolean
          title: Rollover
        meter_id:
          type: string
          format: uuid4
          title: Meter Id
      type: object
      required:
        - units
        - rollover
        - meter_id
      title: BenefitMeterCreditSubscriberProperties
      description: Properties available to subscribers for a benefit of type `meter_unit`.
    BenefitFeatureFlagSubscriberProperties:
      properties: {}
      type: object
      title: BenefitFeatureFlagSubscriberProperties
      description: >-
        Properties available to subscribers for a benefit of type
        `feature_flag`.
    BenefitSlackSharedChannelSubscriberProperties:
      properties: {}
      type: object
      title: BenefitSlackSharedChannelSubscriberProperties
    SubscriptionProrationBehavior:
      type: string
      enum:
        - invoice
        - prorate
        - next_period
        - reset
      title: SubscriptionProrationBehavior
    BenefitLicenseKeyExpirationProperties:
      properties:
        ttl:
          type: integer
          exclusiveMinimum: 0
          title: Ttl
        timeframe:
          type: string
          enum:
            - year
            - month
            - day
          title: Timeframe
      type: object
      required:
        - ttl
        - timeframe
      title: BenefitLicenseKeyExpirationProperties
    BenefitLicenseKeyActivationProperties:
      properties:
        limit:
          type: integer
          title: Limit
        enable_customer_admin:
          type: boolean
          title: Enable Customer Admin
      type: object
      required:
        - limit
        - enable_customer_admin
      title: BenefitLicenseKeyActivationProperties
  securitySchemes:
    customer_session:
      type: http
      description: >-
        **Authentication:** Customer session tokens authenticate buyers within
        your organization. Generate one through the [customer session
        operation](/api-reference/customer-portal/sessions/create).
      scheme: bearer
    member_session:
      type: http
      description: >-
        **Authentication:** Member session tokens authenticate team members
        within a customer account. Create one through the [customer session
        operation](/api-reference/customer-portal/sessions/create).
      scheme: bearer

````